Skip to main content
`Ctrl`+`K`

# pandas.Series.str.find

Series.str.find(sub, start=0, end=None)

  Return lowest indexes in each strings in the Series/Index.

  Each of returned indexes corresponds to the position where the substring is fully contained between [start:end]. Return -1 on failure. Equivalent to standard `str.find()`.

  Parameters:
    sub str

      Substring being searched.

    start int

      Left edge index.

    end int

      Right edge index.

  Returns:
    Series or Index of int.

  See also

  `rfind`

    Return highest indexes in each strings.

  Examples

  For Series.str.find:

      >>> ser = pd.Series(["cow_", "duck_", "do_ve"])
      >>> ser.str.find("_")
      0   3
      1   4
      2   2
      dtype: int64

  For Series.str.rfind:

      >>> ser = pd.Series(["_cow_", "duck_", "do_v_e"])
      >>> ser.str.rfind("_")
      0   4
      1   4
      2   4
      dtype: int64